Skip to main content
GET
/
legacy_reporting
/
batch_detail_records
/
messaging
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const messagings = await client.legacy.reporting.batchDetailRecords.messaging.list();

console.log(messagings.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
messagings = client.legacy.reporting.batch_detail_records.messaging.list()
print(messagings.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
messagings, err := client.Legacy.Reporting.BatchDetailRecords.Messaging.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", messagings.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.messaging.MessagingListParams;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.messaging.MessagingListResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

MessagingListResponse messagings = client.legacy().reporting().batchDetailRecords().messaging().list();
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

messagings = telnyx.legacy.reporting.batch_detail_records.messaging.list

puts(messagings)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$messagings = $client->legacy->reporting->batchDetailRecords->messaging->list(

);

var_dump($messagings);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx legacy:reporting:batch-detail-records:messaging list \
--api-key 'My API Key'
curl --request GET \
--url https://api.telnyx.com/v2/legacy_reporting/batch_detail_records/messaging \
--header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "start_date": "2020-07-01T00:00:00-06:00",
      "end_date": "2020-07-01T00:00:00-06:00",
      "directions": [],
      "record_types": [],
      "connections": [
        123
      ],
      "report_name": "report_name_8hvb45Gu",
      "report_url": "http://portal.telnyx.com/downloads/report_name_8hvb45Gu.csv",
      "filters": [
        {
          "cli": "+13129457420",
          "cld": "+13129457420",
          "tags_list": "tag1",
          "billing_group": "adfaa016-f921-4b6c-97bb-e4c1dad231c5"
        }
      ],
      "created_at": "2020-07-01T00:00:00-06:00",
      "updated_at": "2020-07-01T00:00:00-06:00",
      "profiles": [
        "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "7d4e3f8a-9b2c-4e1d-8f5a-1a2b3c4d5e6f"
      ],
      "record_type": "mdr_report"
    }
  ],
  "meta": {
    "total_pages": 3,
    "total_results": 55,
    "page_number": 2,
    "page_size": 25
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

MDR detailed report requests retrieved successfully

data
object[]
meta
object